### Method

# GdkPixbuf PixbufAnimation is_static_image

deprecated: 2.44

#### Declaration [src]

    gboolean
    gdk_pixbuf_animation_is_static_image (
      GdkPixbufAnimation* animation
    )

#### Description [src]

Checks whether the animation is a static image.

If you load a file with `gdk_pixbuf_animation_new_from_file()` and it turns out to be a plain, unanimated image, then this function will return `TRUE`. Use `gdk_pixbuf_animation_get_static_image()` to retrieve the image.

Deprecated since: 2.44

Use a different image loading library for animatable assets.

#### Return value

Type: `gboolean`

`TRUE` if the “animation” was really just an image.